Robot Simulator of the Robotics Group for Self-Organization of Control: Seesaw Class Reference

# Seesaw Class Reference

Seesaw. More...

`#include <seesaw.h>`

Inherits lpzrobots::AbstractObstacle.

Collaboration diagram for Seesaw:
[legend]

List of all members.

## Public Member Functions
| Seesaw (const OdeHandle &odeHandle, const OsgHandle &osgHandle, const osg::Vec3 &dimension=osg::Vec3(4.0, 0.6, 0.3), double mass=1.0)
| Constructor the support of the seesaw is fixed to the world.
virtual void | setPose (const osg::Matrix &pose)
| sets position of the obstacle and creates/recreates obstacle if necessary
virtual Primitive * | getMainPrimitive () const
| return the "main" primitive of the obtactle. The meaning of "main" is arbitrary
## Protected Member Functions
virtual void | create ()
| overload this function to create the obstactle. All primitives should go into the list "obst"

## Detailed Description

Seesaw.

## Constructor & Destructor Documentation

Seesaw | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | const osg::Vec3 & | dimension = `osg::Vec3(4.0, 0.6, 0.3)`,
|  | double | mass = `1.0` |
| ) |  |  | `[inline]`

Constructor the support of the seesaw is fixed to the world.

Parameters:

  | mass | mass of the bar
  | dimension | (length of bar, width of bar, height of support)

## Member Function Documentation

virtual void create | ( |  | ) | `[inline, protected, virtual]`

overload this function to create the obstactle. All primitives should go into the list "obst"

Implements AbstractObstacle.

virtual Primitive* getMainPrimitive | ( |  | ) | const`[inline, virtual]`

return the "main" primitive of the obtactle. The meaning of "main" is arbitrary

Implements AbstractObstacle.

virtual void setPose | ( | const osg::Matrix & | pose | ) | `[inline, virtual]`

sets position of the obstacle and creates/recreates obstacle if necessary

Implements AbstractObstacle.

The documentation for this class was generated from the following file:

- seesaw.h